<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>fwAlarmScreenNg: AlarmScreenJCOP.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">fwAlarmScreenNg
   &#160;<span id="projectnumber">0.9.2</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('AlarmScreenJCOP_8ctl.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">AlarmScreenJCOP.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr><td colspan="2"><div class="groupHeader">Public functions</div></td></tr>
<tr class="memitem:ace1d0905f9a12ec4f85914ab50690cda"><td class="memItemLeft" align="right" valign="top">mapping&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="AlarmScreenJCOP_8ctl.html#ace1d0905f9a12ec4f85914ab50690cda">AlarmScreenJCOP_getFilterCompletions</a> (string sPropName, const dyn_string &amp;dsSelectedSystems)</td></tr>
<tr class="separator:ace1d0905f9a12ec4f85914ab50690cda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad462a18b5528b09a8d306ba35a9d012f"><td class="memItemLeft" align="right" valign="top">mapping&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="AlarmScreenJCOP_8ctl.html#ad462a18b5528b09a8d306ba35a9d012f">AlarmScreenJCOP_getSlaveFilterCompletions</a> (string sPropName, const mapping &amp;mFilters)</td></tr>
<tr class="separator:ad462a18b5528b09a8d306ba35a9d012f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a858d01a92240d738f2b35771d32d560c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="AlarmScreenJCOP_8ctl.html#a858d01a92240d738f2b35771d32d560c">AlarmScreenJCOP_mouseTableEvent</a> (const mapping &amp;mArgs)</td></tr>
<tr class="separator:a858d01a92240d738f2b35771d32d560c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a1fcb55dfc556d870bf7d1739618ad4"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="AlarmScreenJCOP_8ctl.html#a6a1fcb55dfc556d870bf7d1739618ad4">_AlarmScreenJCOP_mouseLeftClickEvent</a> (const mapping &amp;mArgs)</td></tr>
<tr class="separator:a6a1fcb55dfc556d870bf7d1739618ad4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae24938d61728c36666f737b27eb44910"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="AlarmScreenJCOP_8ctl.html#ae24938d61728c36666f737b27eb44910">AlarmScreenJCOP_ctrlActionRequested</a> (const mapping &amp;mArgs)</td></tr>
<tr class="separator:ae24938d61728c36666f737b27eb44910"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b2e9c9def255a7ba46a0aae94b1476c"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="AlarmScreenJCOP_8ctl.html#a2b2e9c9def255a7ba46a0aae94b1476c">_AlarmScreenJCOP_ackMultiple</a> (dyn_mapping &amp;dmAlarms, int iAckType)</td></tr>
<tr class="separator:a2b2e9c9def255a7ba46a0aae94b1476c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">Private functions: processing of filter completions</div></td></tr>
<tr class="memitem:a767395f1ea591e9f2ab8a84d34d6e013"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="AlarmScreenJCOP_8ctl.html#a767395f1ea591e9f2ab8a84d34d6e013">_AlarmScreenJCOP_getFilterCompletions_deviceType</a> (const dyn_string &amp;dsSelectedSystems, mapping &amp;mResult)</td></tr>
<tr class="separator:a767395f1ea591e9f2ab8a84d34d6e013"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr><td colspan="2"><div class="groupHeader">JCOP-specific names of alarm properties. This is extension of alarm properties,</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p>defined in basic configuration, see AlarmScreenNg.ctl </p>
</div></td></tr>
<tr class="memitem:ad47f65257b1d564f668244b5c9a64ba0"><td class="memItemLeft" align="right" valign="top"><a id="ad47f65257b1d564f668244b5c9a64ba0"></a>
const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="AlarmScreenJCOP_8ctl.html#ad47f65257b1d564f668244b5c9a64ba0">ALARM_PROP_JCOP_ALIAS</a> = &quot;alias&quot;</td></tr>
<tr class="memdesc:ad47f65257b1d564f668244b5c9a64ba0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Device alias. <br /></td></tr>
<tr class="separator:ad47f65257b1d564f668244b5c9a64ba0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a359a4d7efa881995b4e5e9854b11da2d"><td class="memItemLeft" align="right" valign="top"><a id="a359a4d7efa881995b4e5e9854b11da2d"></a>
const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="AlarmScreenJCOP_8ctl.html#a359a4d7efa881995b4e5e9854b11da2d">ALARM_PROP_JCOP_DESCRIPTION</a> = &quot;deviceDescription&quot;</td></tr>
<tr class="memdesc:a359a4d7efa881995b4e5e9854b11da2d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Device description. <br /></td></tr>
<tr class="separator:a359a4d7efa881995b4e5e9854b11da2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ab80181f10fc0ffe2553d2eb7c358cb"><td class="memItemLeft" align="right" valign="top"><a id="a2ab80181f10fc0ffe2553d2eb7c358cb"></a>
const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="AlarmScreenJCOP_8ctl.html#a2ab80181f10fc0ffe2553d2eb7c358cb">ALARM_PROP_JCOP_ONLINE_VALUE</a> = &quot;onlineValue&quot;</td></tr>
<tr class="memdesc:a2ab80181f10fc0ffe2553d2eb7c358cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">(Formatted) DPE online value <br /></td></tr>
<tr class="separator:a2ab80181f10fc0ffe2553d2eb7c358cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a760abb9b133be0825cf5f7b4d7452241"><td class="memItemLeft" align="right" valign="top"><a id="a760abb9b133be0825cf5f7b4d7452241"></a>
const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="AlarmScreenJCOP_8ctl.html#a760abb9b133be0825cf5f7b4d7452241">ALARM_PROP_JCOP_CAME_TIME</a> = &quot;cameTime&quot;</td></tr>
<tr class="memdesc:a760abb9b133be0825cf5f7b4d7452241"><td class="mdescLeft">&#160;</td><td class="mdescRight">Came time of alarm. <br /></td></tr>
<tr class="separator:a760abb9b133be0825cf5f7b4d7452241"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af13669df0ba15bebcc0d3f7476207745"><td class="memItemLeft" align="right" valign="top"><a id="af13669df0ba15bebcc0d3f7476207745"></a>
const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="AlarmScreenJCOP_8ctl.html#af13669df0ba15bebcc0d3f7476207745">ALARM_PROP_JCOP_SCOPE</a> = &quot;scope&quot;</td></tr>
<tr class="memdesc:af13669df0ba15bebcc0d3f7476207745"><td class="mdescLeft">&#160;</td><td class="mdescRight">Alarm scope, magic logic on priority. <br /></td></tr>
<tr class="separator:af13669df0ba15bebcc0d3f7476207745"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22962b9753e79b50359225a7e4522cf5"><td class="memItemLeft" align="right" valign="top"><a id="a22962b9753e79b50359225a7e4522cf5"></a>
const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="AlarmScreenJCOP_8ctl.html#a22962b9753e79b50359225a7e4522cf5">ALARM_PROP_JCOP_DEV_TYPE</a> = &quot;deviceType&quot;</td></tr>
<tr class="memdesc:a22962b9753e79b50359225a7e4522cf5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Device type. <br /></td></tr>
<tr class="separator:a22962b9753e79b50359225a7e4522cf5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">Flag for activating debug messages in this library, one flag for all functions</div></td></tr>
<tr class="memitem:a395399781b5ff6eb4b82435ec13c7e8d"><td class="memItemLeft" align="right" valign="top"><a id="a395399781b5ff6eb4b82435ec13c7e8d"></a>
private const string&#160;</td><td class="memItemRight" valign="bottom"><b>ASNG_FW_DBG</b> = &quot;ASNG_DBG&quot;</td></tr>
<tr class="separator:a395399781b5ff6eb4b82435ec13c7e8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>JCOP-cpecific support for NextGen Alarm Screen </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="ace1d0905f9a12ec4f85914ab50690cda"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace1d0905f9a12ec4f85914ab50690cda">&#9670;&nbsp;</a></span>AlarmScreenJCOP_getFilterCompletions()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">mapping AlarmScreenJCOP_getFilterCompletions </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sPropName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const dyn_string &amp;&#160;</td>
          <td class="paramname"><em>dsSelectedSystems</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Get list of comletions for filter on given alarm property</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sPropName</td><td>The name of alarm property for which filter is configured </td></tr>
    <tr><td class="paramname">dsSelectedSystems</td><td>The list of selected system names </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>mapping with 3 fields (keys are strings):<ul>
<li>"type" The type of completions used for this filter, see enum FilterCompletionsType</li>
<li>"list" The list of completion strings for this filter</li>
<li>"map" The list of completion strings for this filter in case complitions are related to connected systems. Key is string (system name), value is dyn_string = list of completions if this system is connected </li>
</ul>
</dd></dl>

</div>
</div>
<a id="ad462a18b5528b09a8d306ba35a9d012f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad462a18b5528b09a8d306ba35a9d012f">&#9670;&nbsp;</a></span>AlarmScreenJCOP_getSlaveFilterCompletions()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">mapping AlarmScreenJCOP_getSlaveFilterCompletions </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sPropName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const mapping &amp;&#160;</td>
          <td class="paramname"><em>mFilters</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Get list of comletions for slave filter on given alarm property</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sPropName</td><td>The name of alarm property for which filter is configured </td></tr>
    <tr><td class="paramname">mFilters</td><td>Current settings for all 'master' filters of this slave:<ul>
<li>key: alarm property name of filter</li>
<li>value: current filter value for this alarm property </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>mapping with 1 field (key is string):<ul>
<li>"list" The list of completion strings for this filter </li>
</ul>
</dd></dl>

</div>
</div>
<a id="a858d01a92240d738f2b35771d32d560c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a858d01a92240d738f2b35771d32d560c">&#9670;&nbsp;</a></span>AlarmScreenJCOP_mouseTableEvent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AlarmScreenJCOP_mouseTableEvent </td>
          <td>(</td>
          <td class="paramtype">const mapping &amp;&#160;</td>
          <td class="paramname"><em>mArgs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Process mouse event in alarm table cell. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">mArgs</td><td>The mapping with arguments, see description of AlarmScreenNgEwo_mouseEvent() </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a6a1fcb55dfc556d870bf7d1739618ad4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a1fcb55dfc556d870bf7d1739618ad4">&#9670;&nbsp;</a></span>_AlarmScreenJCOP_mouseLeftClickEvent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">private void _AlarmScreenJCOP_mouseLeftClickEvent </td>
          <td>(</td>
          <td class="paramtype">const mapping &amp;&#160;</td>
          <td class="paramname"><em>mArgs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Process event in table: left mouse button was clicked on row with alarm data. There is special processing for clicking at some columns: acknowledge alarm, open details etc. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">mArgs</td><td>The mapping with arguments, see description of AlarmScreenNgEwo_mouseEvent() </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ae24938d61728c36666f737b27eb44910"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae24938d61728c36666f737b27eb44910">&#9670;&nbsp;</a></span>AlarmScreenJCOP_ctrlActionRequested()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AlarmScreenJCOP_ctrlActionRequested </td>
          <td>(</td>
          <td class="paramtype">const mapping &amp;&#160;</td>
          <td class="paramname"><em>mArgs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Process ctrlActionRequested() event of AS EWO in UNICOS-specific way </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">mArgs</td><td>event arguments, see description of AlarmScreenNgEwo_ctrlActionRequested() </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a2b2e9c9def255a7ba46a0aae94b1476c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b2e9c9def255a7ba46a0aae94b1476c">&#9670;&nbsp;</a></span>_AlarmScreenJCOP_ackMultiple()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">private void _AlarmScreenJCOP_ackMultiple </td>
          <td>(</td>
          <td class="paramtype">dyn_mapping &amp;&#160;</td>
          <td class="paramname"><em>dmAlarms</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>iAckType</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Acknowledge multiple alarms from EWO (selected/all/etc.) </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dmAlarms</td><td>The list of alarm parameters from EWO which shall be acknowledged. Every mapping contains:<ul>
<li>key = ID of alarm property (see ALARM_PROP_XXX constants)</li>
<li>value = value of alarm property with this ID </li>
</ul>
</td></tr>
    <tr><td class="paramname">iAckType</td><td>Acknowledgement type, one of DPATTR_ACKTYPE_SINGLE/DPATTR_ACKTYPE_MULTIPLE </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a767395f1ea591e9f2ab8a84d34d6e013"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a767395f1ea591e9f2ab8a84d34d6e013">&#9670;&nbsp;</a></span>_AlarmScreenJCOP_getFilterCompletions_deviceType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">private void _AlarmScreenJCOP_getFilterCompletions_deviceType </td>
          <td>(</td>
          <td class="paramtype">const dyn_string &amp;&#160;</td>
          <td class="paramname"><em>dsSelectedSystems</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">mapping &amp;&#160;</td>
          <td class="paramname"><em>mResult</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Get completions for filter on device type </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dsSelectedSystems</td><td>The list of selected system names </td></tr>
    <tr><td class="paramname">mResult</td><td>mapping where result shall be placed, 3 fields are available (keys are strings):<ul>
<li>"type" The type of completions used for this filter, see enum FilterCompletionsType</li>
<li>"list" The list of completion strings for this filter</li>
<li>"map" The list of completion strings for this filter in case complitions are related to connected systems. Key is string (system name), value is dyn_string = list of completions if this system is connected </li>
</ul>
</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="AlarmScreenJCOP_8ctl.html">AlarmScreenJCOP.ctl</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
